
include ../config.mk

ifdef CONFIG_SL700
PNGS =	title.png pointer1.png pointer2.png pointer3.png \
	text.png logo2.png bootlogo.png\
	kinlist1.png kinlist2.png startlogo.png titlenum.png

LEVELBTN = hard.png hardoff.png easy.png easyoff.png
STRINGDIR = 24x24
endif

ifdef CONFIG_SL300
PNGS =	title_small.png pointer1_small.png pointer2_small.png pointer3_small.png \
	text.png logo2_small.png bootlogo.png\
	kinlist1_small.png kinlist2_small.png startlogo_small.png titlenum_small.png

LEVELBTN = hard_small.png hardoff_small.png easy_small.png easyoff_small.png
STRINGDIR = 16x16
endif

all:data.c alpha.c numImg.c fish2.c kingyo.c levelBtn.c timeImg.c

data.c: $(PNGS) ../tools/bin2c
	../tools/bin2c data.c "" $(PNGS)

levelBtn.c: $(LEVELBTN) ../tools/bin2c
	../tools/bin2c levelBtn.c "" $(LEVELBTN)

alpha.c:
	make -C $(STRINGDIR)
numImg.c:
	make -C num
fish2.c:
kingyo.c:
	make -C fish2
timeImg.c:
	make -C time

../tools/bin2c:
	make -C ../tools

clean:
	rm data.c alpha.c numImg.c fish2.c kingyo.c levelBtn.c timeImg.c

